# Conan

The class Conan contains the following methods:

### ***light\<DATA>***

*light* is the method we use to create a simple Conan State without passing reducers and actions

| Input Params |                                                                                                                                |
| ------------ | ------------------------------------------------------------------------------------------------------------------------------ |
| name         | <p><strong>Type:</strong>  <code>string </code><em><code>required</code></em></p><p>the name we want to use for this state</p> |
| initialData  | <p><strong>Type:</strong>  <code>DATA</code></p><p> the initial data we want to have when the state is created</p>             |
| nature       | <p><strong>Type:</strong>  FlowEventNature </p><p>TBC: Que mierdas es esto Alberto?</p>                                        |

| Returns    |                         |
| ---------- | ----------------------- |
| ConanState | The newly created state |

### ***state\<DATA, REDUCERS extends Reducers\<DATA> = {}, ACTIONS = any>***

*state* is the method we use to create a Conan State when we need to add extra reducers and or actions

| Params     |                                                                                                                                                             |
| ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| ***data*** | <p><strong>Type:</strong>  <code>StateDef </code><em><code>required</code></em></p><p>the StateDef object that contains our custom actions and reducers</p> |

| Return type |                         |
| ----------- | ----------------------- |
| ConanState  | The newly created state |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conanjs.io/api/main-classes/conan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
